> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beeze.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List backlinks

> Returns paginated backlinks across all tracked projects in the workspace, with optional search, sorting, and project filtering.



## OpenAPI

````yaml /api/openapi.yaml get /domain-research/backlink-portfolio
openapi: 3.1.0
info:
  title: Beeze API
  version: v1
  description: >
    External Beeze API for pricing intelligence, domain research, AI Search, and
    integrations.
servers:
  - url: https://api.beeze.io/v1
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: AI Search
    description: Results, visibility, sources, competitors, prompts, and tags
  - name: Domain research
    description: Pricing intelligence, backlinks, prospects, overview stats, and trends
  - name: Integrations
    description: Usage for connected third-party integrations
paths:
  /domain-research/backlink-portfolio:
    get:
      tags:
        - Domain research
      summary: List backlinks
      description: >-
        Returns paginated backlinks across all tracked projects in the
        workspace, with optional search, sorting, and project filtering.
      operationId: getBacklinkPortfolio
      parameters:
        - $ref: '#/components/parameters/ProjectOptional'
        - $ref: '#/components/parameters/Search'
        - $ref: '#/components/parameters/Offset'
        - $ref: '#/components/parameters/Limit100'
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            enum:
              - source_url
              - source_domain
              - target_url
              - anchor_text
              - source_trust_flow
              - source_citation_flow
              - source_domain_rating
              - source_organic_traffic
              - first_indexed_at
              - last_seen_at
          description: Column to sort by
        - name: sort_direction
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
          description: Sort direction
      responses:
        '200':
          description: Paginated list of backlinks
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        source_url:
                          type: string
                        source_domain:
                          type: string
                        target_url:
                          type: string
                          nullable: true
                        anchor_text:
                          type: string
                          nullable: true
                        source_title:
                          type: string
                          nullable: true
                        source_trust_flow:
                          type: integer
                          nullable: true
                        source_citation_flow:
                          type: integer
                          nullable: true
                        source_domain_rating:
                          type: integer
                          nullable: true
                        source_organic_traffic:
                          type: integer
                          nullable: true
                        is_nofollow:
                          type: boolean
                        is_redirect:
                          type: boolean
                        is_image_link:
                          type: boolean
                        first_indexed_at:
                          type: string
                          format: date-time
                          nullable: true
                        last_seen_at:
                          type: string
                          format: date-time
                          nullable: true
                  pagination:
                    $ref: '#/components/schemas/CursorPagination'
                required:
                  - data
                  - pagination
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  parameters:
    ProjectOptional:
      name: project
      in: query
      required: false
      schema:
        type: string
        minLength: 1
      description: >-
        Project identifier. Accepts project ID, slug, or name within the active
        workspace. If the project name is ambiguous in that workspace, use the
        project slug or project ID. Public project-scoped routes also require
        globally unique project names across workspaces.
    Search:
      name: search
      in: query
      required: false
      schema:
        type: string
    Offset:
      name: offset
      in: query
      required: false
      schema:
        type: integer
        minimum: 0
        default: 0
    Limit100:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
  schemas:
    CursorPagination:
      type: object
      properties:
        count:
          type: integer
        limit:
          type: integer
        hasMore:
          type: boolean
      required:
        - count
        - limit
        - hasMore
    Problem:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        requestId:
          type: string
        instance:
          type: string
      required:
        - status
        - detail
        - code
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: Missing plan access, feature access, or workspace access
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for external Beeze API access

````